GetGroup
/api/v1/groups/{group}Fetch a group by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/groups/{group}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/groups/{group}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequired
Response
Section titled “Response”200GroupA group is a collection of users that share a set of attributes such as role, location, reporting chain, etc. These are intended to be used with ABAC (attribute based access control) entitlements.
namestringAssigned by Oblique. Name of the group of the form
groups/{group}.createTimestring (date-time)read-onlyThe time when this group was created.
updateTimestring (date-time)read-onlyThe time when this object was last updated. This does not correspond to any membership changes of this group.
deleteTimestring (date-time)read-onlyGroups can only be soft-deleted to preserve logs and history. If this field is present, the group has been deleted and won’t be returned in lists.
displayNamestringrequiredHuman readable name of the group.
managementManagementHow this group is managed. Set automatically by the server based on the calling client. Omitted from responses when the group is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
memberCountinteger (int32)read-onlyThe number of members in the group.
One of
attributesAttributesAttributes defines attribute based selection of members of a group, matching users with a given set of attributes.
matchAttributeMatch[]requiredA set of and conditions that a user must match. The user’s attributes must match all values provided.
userAttributeUserAttributeMatchrequiredA user attribute key and value that must be matched.
integrationstringrequiredThe integration that supplies the attribute to match on.
Format:
integrations/{integration}keystringrequiredvaluestringrequiredoperatorstringComparison operator for the attribute. Defaults to
EQUALwhen unset.
reportingReportingReporting matches members of a group based on their reporting line.
managerstringrequiredThe manager whose reports make up the group.
Format:
users/{user}includeIndirectbooleanincludeManagerbooleanWhether the reporting group should include the manager in membership as well. Defaults to false.
createManagerOwnerbooleanIf present on create operations (or during update with
allow_missing), the manager will automatically be made an owner. Not returned on get or list operations.
usersstring[]read-onlyList of users that are members of this group. This is only populated for get or update requests, not during lists.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |